package com.fjs.scenic.mapper.good;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.good.DateSurplus;

public interface DateSurplusMapper {
    int insert(DateSurplus record);

    int insertSelective(DateSurplus record);
    
    int deleteByGoodsId(@Param("goodsId")Integer goodsId);
    
    /**根据价格规则查询时间段列表*/
    List<Map<String, String>> getDateListByPriceRuleId(@Param("priceRuleId")Integer priceRuleId);
}